Download it now!
Bug 74652 - Extra image gets added in first page
Summary: Extra image gets added in first page
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Tushar Bende
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-07 07:35 UTC by Yogesh Bharate
Modified: 2015-01-24 13:04 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
file contains tables & images. (916.38 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-02-07 07:35 UTC, Yogesh Bharate
Details
Cut Down file Syllabus_NET_101_Basic_Networking_202013.docx (860.71 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-07 07:49 UTC, Tushar Bende
Details
Doc created similar to issue doc (working) (81.20 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-10 15:52 UTC, Tushar Bende
Details
Cut down issue doc (Not Working) (117.79 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-04-10 15:52 UTC, Tushar Bende
Details
Attached file shows that no extra image gets added in File after Roundtip (176.69 KB, image/png)
2014-04-17 13:12 UTC, darshan.gandhi
Details
Attached file shows that no extra image gets added in File after Roundtip (119.55 KB, image/png)
2014-04-17 13:12 UTC, darshan.gandhi
Details
Attached file shows that no extra image gets added in File after Roundtip (166.33 KB, image/png)
2014-04-17 13:12 UTC, darshan.gandhi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yogesh Bharate 2014-02-07 07:35:44 UTC
Created attachment 93587 [details]
file contains tables & images.

Problem description:
- File contains tables, images.
- Problem is that image at last page, come at first page after roundtrip.

Steps to reproduce:
1. Open the file in LibreOffice
2. Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3. Open saved file in MS Office 2010.
Expected:
File should same as original.
Actual:
The image get large, show at first page.
Comment 1 Tushar Bende 2014-04-07 07:49:55 UTC
Created attachment 97021 [details]
Cut Down file Syllabus_NET_101_Basic_Networking_202013.docx
Comment 2 Tushar Bende 2014-04-10 15:52:12 UTC
Created attachment 97168 [details]
Doc created similar to issue doc (working)
Comment 3 Tushar Bende 2014-04-10 15:52:53 UTC
Created attachment 97169 [details]
Cut down issue doc (Not Working)
Comment 4 Tushar Bende 2014-04-14 08:49:24 UTC
pushed code changes for fix 
https://gerrit.libreoffice.org/#/c/8940/2
Comment 5 Commit Notification 2014-04-16 08:44:39 UTC
Tushar Bende committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cebb4abec105c2576b065853eb48af9be1d9fde6

fdo#74652 : Extra image gets added to the document body after RT.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 darshan.gandhi 2014-04-17 13:12:05 UTC
Created attachment 97513 [details]
Attached file shows that no extra image gets added in File after Roundtip
Comment 7 darshan.gandhi 2014-04-17 13:12:28 UTC
Created attachment 97514 [details]
Attached file shows that no extra image gets added in File after Roundtip
Comment 8 darshan.gandhi 2014-04-17 13:12:43 UTC
Created attachment 97515 [details]
Attached file shows that no extra image gets added in File after Roundtip
Comment 9 darshan.gandhi 2014-04-17 13:13:47 UTC
Closing this issue as this issue is no more reproducible on latest LO master.